<?
session_start();
require("../conectar.php");
$fechaActual=date("Y-m-d");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Registro</title>
<script language="javascript" src="js/calendar_db.js"></script>
<link type="text/css" href="js/calendar.css" rel="stylesheet" />
<script language="javascript">

function validar(forma)
{
 if(document.forma.razon.selectedIndex==0)
 {
 alert("El campo RAZON SOCIAL es obligatorio");
 forma.razon.focus();
 return false;
 }
 if(document.forma.subir.value=='')
 {
 alert("Se tiene que subir una declaracion");
 forma.subir.focus();
 return false;
 }
 if(document.forma.fdeclaracion.value=='')
 {
 alert("El campo MES DE DECLARACION es obligatorio");
 forma.fdeclaracion.focus();
 return false;
 }
 if(document.forma.importe.value=='')
 {
 alert("El campo IMPORTE es obligatorio");
 forma.importe.focus();
 return false;
 }
 if(document.forma.tdec.selectedIndex==0)
 {
 alert("El campo TIPO DE DECLARACION es obligatorio");
 forma.tdec.focus();
 return false;
 }
}

function nom()
{
 if(document.forma.nombre.value=='')
 {
  document.all.falta_nombre.style.visibility='visible';
  document.all.tiene_nombre.style.visibility='hidden';
 }
 else if(document.forma.nombre.value!='')
 {
  document.all.tiene_nombre.style.visibility='visible';
  document.all.falta_nombre.style.visibility='hidden';
 }
}

function dire()
{ 
 if(document.forma.rfc.value=='')
 {
  document.all.falta_direccion.style.visibility='visible';
  document.all.tiene_direccion.style.visibility='hidden';
 }
 else if(document.forma.rfc.value!='')
 {
  document.all.tiene_direccion.style.visibility='visible';
  document.all.falta_direccion.style.visibility='hidden';
 }
} 

function tel()
{
 if(document.forma.telefono.value=='')
 {
  document.all.falta_telefono.style.visibility='visible';
  document.all.tiene_telefono.style.visibility='hidden';
 }
 else if(document.forma.telefono.value!='')
 {
  document.all.tiene_telefono.style.visibility='visible';
  document.all.falta_telefono.style.visibility='hidden';
 }
}

function foco()
{
 document.forma.nombre.focus();
}
</script>
 <style>	 
            .tabla{background:#ffffff;border-collapse: collapse;font-family:arial;}
			.titulo{height:35px;max-height:35px !important;background:#ffffff url(images/tlcancion.jpg) repeat-x;color:#0d0d0d;font-size:15px;}
			.titulos{height:30px;background:url(images/tcancion.jpg) repeat-x;max-height:30px !important;color:#ffffff;font-size:12px;}
			.nombre{height:28px;background:#0a0a0a;color:#ffffff;text-align:center;font-size:12px;}
			.concepto{height:28px;background:url(images/tcancion.jpg) repeat-x;color:#000000;text-align:right;font-size:11px;}
			.concepto2{height:28px;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;text-align:left;font-size:12px;}
			.inp{width:200px;font-size:10px;}
			.inpd{width:15px;text-align:right;font-size:10px;}
			.tdcal{background:#ffffff;}
			.tdcal:hover .inpd{border:1px;Moz-box-shadow: 0 0 5px 2px #000;-webkit-box-shadow: 0 0 5px 2px #000; box-shadow: 0 0 5px 2px #000;}
			.act{display:block;overflow:hidden;width:100%;height:50px;background:#BEF781;font-family:arial;font-size:17px;font-weight:bold;color:#4B610B;text-align:center;border:solid 2px #4B610B;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px; -Moz-box-shadow: 0px 5px 10px # 556B2F;-webkit-box-shadow: 0px 5px 10px #556B2F; box-shadow: 0px 5px 10px #556B2F;}
			.act p{position:relative;top:0px;}
			.act img{position:relative;width:40px;height:40px;top:-50px;left:250px;}
			h2{font-family:arial;font-size:16px;}
        </style>
</head>

<body onload="foco()">
<?
$idrenta=$_GET['idrenta'];
$sql="select * from datosfiscales where idrenta='$idrenta'";
$ejecuta=mysql_query($sql);
$totreg=mysql_num_rows($ejecuta);
if($totreg!=0){
 while($reg=mysql_fetch_array($ejecuta)){
     $razon=$reg['razonsocial'];
	 $rfc=$reg['rfc'];
	 $dirfiscal=$reg['dirfiscal'];
	 $tel=$reg['tel'];
	 $accion=true;
 }
}
//$datos=mysql_fetch_array($ejecuta);
?>
<form action="#" method="POST" enctype="multipart/form-data" name="forma" onsubmit="return validar(this)">
<center>	   
	<table class="tabla" border="0">
		<tr class="titulo">
		 <td colspan="4" align="center">
		  <b>DATOS PARA LA FACTURA</b>
	     </td>
		</tr>
		<tr>
		  <td class="concepto">F. REGISTRO</td>
		  <td class="concepto2">
			<input type="text" name="freg" size="100" class="inp" value="<?echo $fechaActual;?>" autocomplete="OFF" readonly>
			<input type="hidden" name="idrenta" value="<?echo $idrenta;?>">
			<input type="hidden" name="accion" value="<?echo $accion;?>">
		 </td>
		 <td class="concepto">RAZON SOCIAL:</td>
		  <td class="concepto2">
			<input type="text" name="razon" size="100" class="inp" value="<?echo $razon;?>" autocomplete="OFF" onChange="javascript:this.value=this.value.toUpperCase();">
		  </td>
		</tr> 
		<tr>
		  <td class="concepto">RFC:</td>
		  <td class="concepto2">
			<input name="rfc" type="text" size="100" value="<?echo $rfc;?>" class="inp" onChange="javascript:this.value=this.value.toUpperCase();">
		  </td>
		  <td class="concepto">DIRECCION:</td>
		  <td class="concepto2">
			<input name="dir" type="text" size="100" value="<?echo $dirfiscal;?>" class="inp" onChange="javascript:this.value=this.value.toUpperCase();">
		  </td>
		</tr> 
		</tr> 
		<tr>
		  <td class="concepto">TELEFONO:</td>
		  <td class="concepto2">
			<input type="text" name="tel" value="<?echo $tel;?>" class="inp" autocomplete="OFF" onChange="javascript:this.value=this.value.toUpperCase();">
		 </td>
		</tr>
		</tr>
		<tr>
		  <td class="concepto" colspan="4" align="center"><input type="submit" name="dec" value="GUARDAR"></td>
		</tr>		
	</table>					
</form>
</center>
<? if(isset($_POST['dec'])){
$freg=$_POST['freg'];
$razon=$_POST['razon'];
$rfc=$_POST['rfc'];
$dir=$_POST['dir'];
$tel=$_POST['tel'];
$idrenta=$_POST['idrenta'];
$accion=$_POST['accion'];

if($accion!=true){
$sql="INSERT INTO datosfiscales(fregistro,idrenta,razonsocial,rfc,dirfiscal,tel)values('$freg','$idrenta','$razon','$rfc','$dir','$tel')";
mysql_query($sql);
echo "<center><font color='#ff0000'>LOS DATOS SE HAN REGISTRADO CORRECTAMENTE</font></center>";
}else{
$sql="update datosfiscales set razonsocial='$razon',rfc='$rfc',dirfiscal='$dir',tel='$tel' where idrenta='$idrenta'";
mysql_query($sql);
echo "<center><font color='#ff0000'>LOS DATOS SE HAN ACTUALIZADO CORRECTAMENTE</font></center>";
}
}
?>
</body>
</html>
